#!/usr/bin/env python
import argparse
from mcp_server_lib.app import app

def main():
    parser = argparse.ArgumentParser(description="MCP Market Data Server")
    parser.add_argument("--host", default="127.0.0.1", help="Host to bind the server to (default: 127.0.0.1)")
    parser.add_argument("--port", type=int, default=5000, help="Port to bind the server to (default: 5000)")
    parser.add_argument("--debug", action="store_true", help="Enable debug mode (default: False)")

    args = parser.parse_args()

    print(f"Starting MCP Server on http://{args.host}:{args.port}")
    if args.debug:
        print("Debug mode is ON")
    app.run(host=args.host, port=args.port, debug=args.debug)

if __name__ == "__main__":
    main()

